<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];

if ($method === 'OPTIONS') {
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE');
    header('Access-Control-Allow-Headers: Origin, Accept, Content-Type, X-Requested-With');
    exit();
}

header("Access-Control-Allow-Methods: DELETE");

include_once '../../config/Database.php';
include_once '../../models/Category.php';

$database = new Database();
$db = $database->connect();

$category = new Category($db);
$data = json_decode(file_get_contents("php://input"));

if (!empty($data->id)) {
    $quote->id = $data->id;

    $result = $quote->delete();
    if ($result['success']) {
        return json_encode(array("message" => $result['message'], "id" => $quote->id));
    } else {
        return json_encode(array("message" => $result['message']));
    }
} else {
    return json_encode(array("message" => "Data is incomplete."));
}
?>
